MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029007Open CASCADE[OCCT] OCCT:Visualizationpublic2017-08-16 20:062017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029007: Visualization, AIS_InteractiveContext - the method for accessing Detected owners iterator is missing
DescriptionAIS_InteractiveContext defines three methods for iterating currently Detected entities - InitDetected()/MoreDetected()/NextDetected(). However, there is no method returning a value of this iterator (methods DetectedCurrentObject() and DetectedCurrentShape() are marked as deprecated and no method returning SelectMgr_EntityOwner defined)!
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0027381closedbugmaster Open CASCADE Visualization - update description of method AIS_InteractiveContext::SetPixelTolerance() 
child of 0027530closedapn Community Visualization - AIS_InteractiveContext::HilightNextDetected() doesn't work in Neutral Point 

-  Notes
(0069492)
git (administrator)
2017-08-16 20:15

Branch CR29007 has been created by kgv.

SHA-1: 2cd57439b797e17cc73dc1669c0450bb3d1bfbf1


Detailed log of new commits:

Author: kgv
Date: Wed Aug 16 20:08:04 2017 +0300

    0029007: Visualization, AIS_InteractiveContext - the method for accessing Detected owners iterator is missing
    
    Added new method AIS_InteractiveContext::DetectedCurrentOwner().
    AIS_InteractiveContext header has been restructured (methods moved into groups)
    and description has been cleaned up.
(0069493)
git (administrator)
2017-08-16 22:42

Branch CR29007 has been updated forcibly by kgv.

SHA-1: 3fa42359a7d8297c955f1bb8d9b9eb1f6a922745
(0069497)
kgv (developer)
2017-08-17 09:22

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29007-master-KGV [^]
(0069513)
bugmaster (administrator)
2017-08-17 12:08
edited on: 2017-08-17 12:23

Combination -
OCCT branch : CR29007 : SHA-1: 3fa42359a7d8297c955f1bb8d9b9eb1f6a922745
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0069659)
git (administrator)
2017-08-18 17:00

Branch CR29007 has been deleted by kgv.

SHA-1: 3fa42359a7d8297c955f1bb8d9b9eb1f6a922745

- Related Changesets
occt: master d21ddc4f
Timestamp: 2017-08-16 17:08:04
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029007: Visualization, AIS_InteractiveContext - the method for accessing Detected owners iterator is missing

Added new method AIS_InteractiveContext::DetectedCurrentOwner().
AIS_InteractiveContext header has been restructured (methods moved into groups)
and description has been cleaned up.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-16 20:06 kgv New Issue
2017-08-16 20:06 kgv Assigned To => kgv
2017-08-16 20:07 kgv Relationship added related to 0027381
2017-08-16 20:15 git Note Added: 0069492
2017-08-16 22:42 git Note Added: 0069493
2017-08-17 09:22 kgv Note Added: 0069497
2017-08-17 09:22 kgv Assigned To kgv => bugmaster
2017-08-17 09:22 kgv Status new => resolved
2017-08-17 09:22 kgv Status resolved => reviewed
2017-08-17 09:27 kgv Relationship added child of 0027530
2017-08-17 12:08 bugmaster Note Added: 0069513
2017-08-17 12:08 bugmaster Status reviewed => tested
2017-08-17 12:23 bugmaster Note Edited: 0069513 View Revisions
2017-08-18 12:53 bugmaster Changeset attached => occt master d21ddc4f
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 12:53 bugmaster Resolution open => fixed
2017-08-18 12:59 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069659
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker